function main
 
%%% MAIN PROGRAM %%%
clc; clear all;
 
N = 100;
 
for i=1:N
   fprintf('\nPatient %d:\n', i);
   weight(i) = input('Weight? ');
   height(i) = input('Height? ');
   bmi(i) = bmi_calculation(weight(i),height(i));
end
 
[n1,m1] = bmi_statistics(bmi,0,18.5);
[n2,m2] = bmi_statistics(bmi,18.5,25);
[n3,m3] = bmi_statistics(bmi,25,30);
[n4,m4] = bmi_statistics(bmi,30,999);
 
fprintf('\n***Results***\n');
fprintf('\nUnderweight: %d\n Mean bmi=%.1f\n',n1,m1);
fprintf('\nNormal weight: %d\n Mean bmi=%.1f\n',n2,m2);
fprintf('\nOverweight: %d\n Mean bmi=%.1f\n',n3,m3);
fprintf('\nObesity: %d\n Mean bmi=%.1f\n',n4,m4);
 
%%% FUNCTIONS %%%
function [n, m] = bmi_statistics(bmi,minbmi,maxbmi)
n = 0;
s = 0;
for i=1:length(bmi)
   if bmi(i)>=minbmi & bmi(i)<maxbmi
      n = n + 1;
      s = s + bmi(i);
   end
end
m = s / n;
