function main
 
clc;
clear all;
 
N = 200;
for i=1:N
   A(i,1) = 60 + 120*rand;
   A(i,2) = 30 + 40*rand;
   A(i,3) = 100 + 300*rand;
   A(i,4) = totalcholesterol(A(i,1), A(i,2), A(i,3));
end
 
x = numberwithtotalcholesterol(A);
 
fprintf('Patients with normal cholesterol: %d patients (%.1f%%).\n', x, x/N*100);
 
%%% FUNCTIONS %%%
function t = totalcholesterol(x,y,z)
t = x + y + 0.2*z;
 
function s = numberwithtotalcholesterol(A)
s = 0;
for i=1:size(A,1)
    if A(i,4)<200
        s = s + 1;
    end
end
