clc;
clear all;
close all;
 
% Πεδίο ορισμού x από 0 έως 2π
x = [0:0.01:2*pi];
 
% Δημιουργία πινάκων με τις τιμές
% των y1, y2 και του y=y1+y2
for i=1:length(x)
   y1(i) = 10*sin(x(i));
   y2(i) = 5*cos(2*x(i));
   y(i) = y1(i) + y2(i);
end
 
% Δημιουργία 1ου υπο-γραφήματος
subplot(3,1,1);
% Απεικόνιση του y1 στο υπο-γράφημα
plot(x,y1,'b');
ylabel('y1');
 
% Δημιουργία 2ου υπο-γραφήματος
subplot(3,1,2);
% Απεικόνιση του y2 στο υπο-γράφημα
plot(x,y2,'r');
ylabel('y2');
 
% Δημιουργία 3ου υπο-γραφήματος
subplot(3,1,3);
% Απεικόνιση του y στο υπο-γράφημα
plot(x,y,'k');
xlabel('x');
ylabel('y');
grid on;
