clc; clear all; close all

% Άνοιγμα αρχικών εικόνων
Im1 = imread('Fusion1spect.bmp'); % SPECT image
Im2 = imread('Fusion2mri.bmp'); % MRI image

% Μετατροπή σε double για τις επόμενες πράξεις
Im1 = double(Im1); Im2 = double(Im2); 

% Υπέρθεση σε 3η εικόνα
for j=1:size(Im1,2)
    for i=1:size(Im1,1)
        Im3(i,j) = 0.65*Im1(i,j) + 0.35*Im2(i,j);
    end
end
% Μετατροπή σε uint8 για εμφάνιση και αποθήκευση
Im1 = uint8(Im1); Im2 = uint8(Im2); Im3 = uint8(Im3);

% Εμφάνιση εικόνων
subplot(1,3,1); imshow(Im1);
subplot(1,3,2); imshow(Im2);
subplot(1,3,3); imshow(Im3);
% Αποθήκευση της 3ης εικόνας στο δίσκο
imwrite(Im3,'Fusion3spect&mri.bmp'); % SPECT & MRI fused image
