clc;
clear all;
close all;
 
% Όνομα αρχείου
filename = 'chest.bmp';
 
% Αποθήκευση εικόνας σε πίνακα
im = imread(filename);
 
% Απεικόνιση εικόνας
imshow(im);
 
% Υπολογισμός ύψους και πλάτους εικόνας
width = size(im,2);
height = size(im,1);
 
% Υπολογισμός μέγιστης και ελάχιστης
% τιμής εικονοστοιχείου
max = im(1,1); min = im(1,1);
for j=1:size(im,2)
  for i=1:size(im,1)
    if im(i,j)>max, max=im(i,j); end
    if im(i,j)<min, min=im(i,j); end
  end
end

% Υπολογισμός απαιτούμενου χώρου στη μνήμη
bitsperpixel = 8;
memspace = width*height*bitsperpixel;

% Εκτύπωση πληροφοριών εικόνας
fprintf('Filename: %s\n',filename);
fprintf('Width: %d pixels\n', width);
fprintf('Height: %d pixels\n', height);
fprintf('No of pixels: %d\n', width*height);
fprintf('Max pixel value: %d\n',max);
fprintf('Min pixel value: %d\n',min);
fprintf('Memory space: %d bits \n',memspace);
fprintf('(or %d bytes)\n\n',memspace/8);
