function x = sread(filename)
% Reads signal values from a text file.
% Syntax: x = sread(filename)
% where
% filename: the name of the file (string variable)
% x: an 1D-array with the signal values
 
fid = fopen(filename,'rt');
i = 1;
while ~feof(fid)
   x(i) = fscanf(fid,'%f',1);
   i = i + 1;
end
fclose(fid);
