function main
clc; clear all; close all;

x1 = [1 0 20 5 -3 -8 0 1 2 1]; % Τιμές σήματος x1
x2 = [2 1 3 3 4 -1 10 -4 1 1]; % Τιμές σήματος x2
 
% Εύρεση μέγιστης τιμής κάθε σήματος (δεν είναι ανάγκη να βρεθούν με
% συνάρτηση, αλλά αυτό βοηθάει να μην επαναλαμβάνονται οι ίδιες πράξεις)
x1max = smax(x1);
x2max = smax(x2);
 
% Εύρεση διαφοράς σημάτων, ανάλογα με το ποιά μέγιστη τιμή είναι μεγαλύτερη
for i=1:length(x1) % length(x1) ή length(x2) (τα σήματα έχουν ίδια μήκη)
    if x1max>x2max
        x3(i) = x1(i)-x2(i);
    else
        x3(i) = x2(i)-x1(i);
    end
end
 
% Απεικόνιση σημάτων
n = [0:length(x1)-1]; % Χρονικές στιγμές (για τη γραφική παράσταση)
 
subplot(2,1,1);
plot(n,x1,'bo-'); hold on;
plot(n,x2,'r*-');
grid on; legend('x_1','x_2');
 
subplot(2,1,2);
plot(n,x3,'ko-');
grid on; legend('x_3');
 
%%% FUNCTION %%%
function xmax = smax(x)
xmax = x(1); % Αρχικοποίηση του xmax
for i=2:length(x)
    if x(i)>xmax
        xmax = x(i);
    end
end
