clc;
clear all;
 
disp('***BMI MANAGEMENT***');
weight = input('Your weight (kg)? ');
height = input('Your height (m)? ');
bmi = weight/height^2;

%   
fprintf('\n');
disp('***MENU***');
disp('1. Display BMI');
disp('2. Display BMI message');
disp('3. Calculate your normal weight');
disp('0. Exit');
fprintf('\n');

%     
selection = input('Select: ');
switch selection
   case 1
      fprintf('Your BMI is %.1f.\n',bmi);
   case 2
      if (bmi<18.5), fprintf('You are underweight.\n');
      elseif (bmi>=18.5 & bmi<25), fprintf('You are of normal weight.\n');
      elseif (bmi>=25 & bmi<30), fprintf('You are overweight.\n');
      else fprintf('You have obesity.\n'); end
   case 3
      maxW = 25*height^2; % Maximum normal weight
      minW = 18.5*height^2; % Minimum normal weight
      fprintf('Your weight must be between %.1f and %.1f kg.\n',minW,maxW);
   case 0
      disp('Bye bye...');
   otherwise
      disp('Error in selection.');
end
