Im = imread('brain.bmp'); %  
Im1 = rgb2gray(Im); %      rgb2gray
%         
for j=1:size(Im,2)
   for i=1:size(Im,1)
      Im2(i,j)= 0.29894*Im(i,j,1)+0.58704*Im(i,j,2)+0.11402*Im(i,j,3); % NTSC standard
      Im3(i,j)= (1/3)*Im(i,j,1) + (1/3)*Im(i,j,2) + (1/3)*Im(i,j,3); %  
      Im4(i,j)= 0.7*Im(i,j,1) + 0.1*Im(i,j,2) + 0.2*Im(i,j,3); %  
   end
end
subplot(2,3,1); imshow(Im); title('Colored image');
subplot(2,3,2); imshow(Im1); title('Gray with rgb2gray');
subplot(2,3,3); imshow(Im2); title('NTSC gray with (R,G,B)\cong(0.30,0.59,0.11)');
subplot(2,3,5); imshow(Im3); title('Uniform gray with (R,G,B)=(1/3,1/3,1/3)');
subplot(2,3,6); imshow(Im4); title('Arbitrary gray with (R,G,B)=(0.7,0.1,0.2)');
