clc;clear;close all;
 
hold on
 
h = 100;
u0 = 5;
g1 = 9.81; % g στη Γη
g2 = g1/6; % g στη Σελήνη
for t=0:0.1:5
   x = u0*t;
   y1 = h - (1/2)*g1*t^2;
   y2 = h - (1/2)*g2*t^2;
   plot(x,y1,'bo');
   plot(x,y2,'ro');
end
grid on;
xlabel('x (m)');
ylabel('y (m)');
legend('Γη','Σελήνη','Location','SW');
