clc;
clear all;
close all;
 
% Πεδίο ορισμού του x από -2π έως 2π
% με βήμα ίσο με 0.01
x = [-2*pi : 0.01 : 2*pi];
 
for i=1:length(x)
   y(i) = sin(x(i));
end
 
% Γραφική παράσταση ημιτόνου
plot(x,y);
 
% Χειροκίνητα όρια αξόνων:
% xx' από -2π έως 2π
% yy' από -1 έως +1
axis([-2*pi 2*pi -1 1]);
 
% Δημιουργία αξόνων με διακεκομμένες
% γραμμές
hold on;
plot([-2*pi 2*pi],[0 0],'k:');
plot([0 0],[-1 1],'k:');
 
% Κείμενο στο γράφημα
text(pi/2,0,'π/2');
