clc; clear all; close all;
 
A0 = 10; % Πλάτος
f = 2; % Συχνότητα
L = 0.4; % Σταθερά απόσβεσης
t = [0:0.01:5]; % Χρόνος
 
for i=1:length(t)
   A(i) = A0*exp(-L*t(i));
   x(i) = A(i)*sin(2*pi*f*t(i)+pi/2);
end
 
hold on;
plot(t,x,'b');
plot(t,A,'k:');
xlabel('Χρόνος (t)');
legend('Απομάκρυνση x(t)','Πλάτος A(t)');
