clc;
clear all;
close all;
 
A = 1; % Πλάτος των x1 και x2 (ίδιο)
f1 = 20; f2 = 21; % Συχνότητες των x1 και x2 (διαφέρουν πολύ λίγο)
t = [0:0.01:6]; % Χρόνος
 
% Δημιουργία πινάκων με τις τιμές
% των x1, x2 και του x=x1+x2
for i=1:length(t)
   x1(i) = A*sin(f1*pi*t(i));
   x2(i) = A*sin(f2*pi*t(i));
   x(i) = x1(i) + x2(i);
end
 
% Απεικόνιση των x1 και x2
subplot(2,1,1); plot(t,x1,'b'); 
hold on; plot(t,x2,'r');
grid on;
ylabel('x_1, x_2');
legend('x_1','x_2');
axis([0 6 -2 2]);
 
% Απεικόνιση του διακροτήματος (x)
subplot(2,1,2); plot(t,x,'k');
grid on;
xlabel('t'); ylabel('x');
legend('Διακρότημα (x)');
axis([0 6 -2 2]);
