function main
clc; clear all; close all;
 
% Άνοιγμα και εμφάνιση εικόνας
Im = imread('vessels.bmp');
imshow(Im);

Im = double(Im); % Μετατροπή σε double

% Μεταβολή αντίθεσης κατά το ποσοστό 50%
% με κατώφλι 80.
for j=1:size(Im,2)
    for i=1:size(Im,1)
        if Im(i,j)>80 % 80 = κατώφλι
            g = 1.5*Im(i,j); % Νέα τιμή
            if g>255
                Im(i,j) = 255;
            else
                Im(i,j) = round(g);
            end
        else % (αν η τιμή είναι ≤ 80)
            g = 0.5*Im(i,j); % Νέα τιμή
            if g<0
                Im(i,j) = 0;
            else
                Im(i,j) = round(g);
            end
        end


    end
end
 
Im = uint8(Im); % Μετατροπή σε uint8
 
% Εμφάνιση επεξεργασμένης εικόνας
figure; imshow(Im);
