function swrite(x,filename)
% Writes signal values to a text file.
% The file will have one columns (signal values)
% Syntax: swrite(x,filename)
% where
% filename: the name of the file (string variable)
% x: an 1D-array with the signal values
 
fid = fopen(filename,'wt');
 
N = length(x);

for i=1:N
   fprintf(fid,'%f',x(i));
   if i<N, fprintf(fid, '\n'); end
end

fclose(fid);
