clc; clear all; close all;

% Φόρτωμα του ecg.txt
ecg = sread('ecg.txt'); % Χρήση της συνάρτησης sread.m (βλ. Εργασία E 16.2δ)
 
% Δημιουργία του τμήματος με τα σημεία 300 έως 600
j = 0;
for i=300:600
   j = j + 1;
   x(j) = ecg(i);
end
 
% Εξομάλυνση
y = signal_smooth(x);
 
% Υπολογισμός SNR
snr_x = signal_snr(x)
snr_y = signal_snr(y)
 
% Απεικόνιση
t = [299:599]; %Τα σημεία 300 έως 600 είναι οι χρονικές στιγμές 299 έως 599
plot(t,x);
hold on;
plot(t,y,'r');
legend('Original', 'Smoothed');
