function y = signal_smooth (x)
% Εξομάλυνση σήματος με κυλιόμενο μέσο 3 σημείων
N = length(x);
% 1ο σημείο του σήματος
y(1) = ( x(1) + x(2) ) / 2;
% Σημεία του σήματος από 2 έως Ν-1
for i=2:N-1
    y(i) = ( x(i-1) + x(i) + x(i+1) ) / 3;
end
% Τελευταίο σημείο του σήματος (Ν)
y(N) = ( x(N-1) + x(N) ) / 2;
