% Find mean value of all rows and columns
clc
clear all
 
% Matrix definition
A = [8 7 -1 9
     7 6  4 0
     2 0 -3 5]

% Initialize matrix where column mean values
% will be stored
for i=1:size(A,2)
   B(i) = 0;
end
 
% Find mean value of columns
for j=1:size(A,2)
   for i=1:size(A,1)
      B(j) = B(j) + A(i,j);
   end
   B(j) = B(j)/size(A,1);
end
 
% Display row and columns mean values
fprintf('Mean values of columns:\n');
B
