Im = imread('head.bmp');
imshow(Im);
hold on

%  1:  
title('Measure: Click 2 points');
[x,y] = ginput(2);
d=((x(2)-x(1))^2 + (y(2)-y(1))^2)^0.5;
plot(x,y,'r+:');
disp(['Distance: ',num2str(d,'%.1f')]);

%  2:    
title('Left/right click. Enter to finish');
[x,y,b] = ginput;
plot(x(find(b==1)),y(find(b==1)),'rd');
plot(x(find(b~=1)),y(find(b~=1)),'bo');
disp([x y b]);
